---
displayed_sidebar: entitiesSidebar
---

# Class: ShippingMethod

## Constructors

### constructor

• **new ShippingMethod**()

## Properties

### cart

• **cart**: [`Cart`](Cart.md)

#### Defined in

[models/shipping-method.ts:61](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L61)

___

### cart\_id

• **cart\_id**: `string`

#### Defined in

[models/shipping-method.ts:57](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L57)

___

### claim\_order

• **claim\_order**: [`ClaimOrder`](ClaimOrder.md)

#### Defined in

[models/shipping-method.ts:53](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L53)

___

### claim\_order\_id

• **claim\_order\_id**: ``null`` \| `string`

#### Defined in

[models/shipping-method.ts:49](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L49)

___

### data

• **data**: `Record`<`string`, `unknown`\>

#### Defined in

[models/shipping-method.ts:92](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L92)

___

### id

• **id**: `string`

#### Defined in

[models/shipping-method.ts:33](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L33)

___

### includes\_tax

• **includes\_tax**: `boolean`

#### Defined in

[models/shipping-method.ts:95](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L95)

___

### order

• **order**: [`Order`](Order.md)

#### Defined in

[models/shipping-method.ts:45](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L45)

___

### order\_id

• **order\_id**: `string`

#### Defined in

[models/shipping-method.ts:41](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L41)

___

### price

• **price**: `number`

#### Defined in

[models/shipping-method.ts:89](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L89)

___

### return\_id

• **return\_id**: `string`

#### Defined in

[models/shipping-method.ts:73](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L73)

___

### return\_order

• **return\_order**: [`Return`](Return.md)

#### Defined in

[models/shipping-method.ts:77](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L77)

___

### shipping\_option

• **shipping\_option**: [`ShippingOption`](ShippingOption.md)

#### Defined in

[models/shipping-method.ts:81](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L81)

___

### shipping\_option\_id

• **shipping\_option\_id**: `string`

#### Defined in

[models/shipping-method.ts:37](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L37)

___

### subtotal

• `Optional` **subtotal**: `number`

#### Defined in

[models/shipping-method.ts:97](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L97)

___

### swap

• **swap**: [`Swap`](Swap.md)

#### Defined in

[models/shipping-method.ts:69](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L69)

___

### swap\_id

• **swap\_id**: `string`

#### Defined in

[models/shipping-method.ts:65](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L65)

___

### tax\_lines

• **tax\_lines**: [`ShippingMethodTaxLine`](ShippingMethodTaxLine.md)[]

#### Defined in

[models/shipping-method.ts:86](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L86)

___

### tax\_total

• `Optional` **tax\_total**: `number`

#### Defined in

[models/shipping-method.ts:99](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L99)

___

### total

• `Optional` **total**: `number`

#### Defined in

[models/shipping-method.ts:98](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L98)

## Methods

### beforeInsert

▸ `Private` **beforeInsert**(): `void`

#### Returns

`void`

#### Defined in

[models/shipping-method.ts:101](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-method.ts#L101)
